Launcher DND - Part Deux

Bug #676129 reported by Neil J. Patel on 2010-11-16
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Unity
Invalid
High
Jason Smith

Bug Description

- More work on DND class
  - Accept arbitrary drops

- Add favorites to launcher via DND

Neil J. Patel (njpatel) on 2010-11-25
Changed in unity:
milestone: 3.2 → 3.4
Neil J. Patel (njpatel) on 2010-12-01
Changed in unity:
milestone: 3.4 → 3.2.8
David Barth (dbarth) on 2011-01-03
Changed in unity:
milestone: 3.2.8 → 3.2.12
Neil J. Patel (njpatel) on 2011-01-18
Changed in unity:
milestone: 3.2.12 → 3.2.14
status: Confirmed → Triaged
Mark Shuttleworth (sabdfl) wrote :

Florian, I commented on those other bugs. I think we can track the progress there, not here. In summary:

 * dragging .desktop files to launcher for installation is required for natty
 * showing recently installed apps in the apps place is required for natty
 * dragging from dash to launcher is required for natty
 * dragging content to windows via the launcher (drag to icon, spread windows, drag to window, focus window) is required for natty

Florian Boucault (fboucault) wrote :

Mark, thanks for the summary.
Neil, can we close that bug report?

Florian Boucault (fboucault) wrote :

> * dragging .desktop files to launcher for installation is required for natty

How do you visually represent in the launcher that the installation has been triggered when the .desktop file is dropped on the launcher if bug #676453 is very low priority (cf. comment #2)?

> * showing recently installed apps in the apps place is required for natty

I cannot find the bug report corresponding to that feature. An unfinished discussion is happening in bug #670403

> * dragging from dash to launcher is required for natty

This is bug #662616

> * dragging content to windows via the launcher (drag to icon, spread windows, drag to window, focus window) is required for natty

This is bug #607796

On 27/01/11 12:26, Florian Boucault wrote:
>> * dragging .desktop files to launcher for installation is required for
> natty
>
> How do you visually represent in the launcher that the installation has
> been triggered when the .desktop file is dropped on the launcher if bug
> #676453 is very low priority (cf. comment #2)?

There's no need to show anything till installation is complete. We can
improve on that later. For Natty, we just need to detect that
installation has happened, and (a) show a pane in USC from which the
icon can be dragged, and (b) add it to the Recently Installed
Applications section in the Apps Place.

>> * showing recently installed apps in the apps place is required for
> natty
>
> I cannot find the bug report corresponding to that feature. An
> unfinished discussion is happening in bug #670403

OK, what do we need to do to finish it?

Mark

Florian Boucault (fboucault) wrote :

On 01/27/2011 12:31 PM, Mark Shuttleworth wrote:
> On 27/01/11 12:26, Florian Boucault wrote:
>>> * dragging .desktop files to launcher for installation is required for
>> natty
>>
>> How do you visually represent in the launcher that the installation has
>> been triggered when the .desktop file is dropped on the launcher if bug
>> #676453 is very low priority (cf. comment #2)?
>
> There's no need to show anything till installation is complete. We can
> improve on that later. For Natty, we just need to detect that
> installation has happened, and (a) show a pane in USC from which the
> icon can be dragged, and (b) add it to the Recently Installed
> Applications section in the Apps Place.

At the moment the user drops the application to be installed on the
launcher, some sort of feedback probably needs to be given to the user
that the application is going to be installed. Otherwise the user will
likely be confused.

>
>
>>> * showing recently installed apps in the apps place is required for
>> natty
>>
>> I cannot find the bug report corresponding to that feature. An
>> unfinished discussion is happening in bug #670403
>
> OK, what do we need to do to finish it?
>

We need an acknowledgement from the development team that recently
installed applications are going to be displayed in the applications
place. That should be in form of a bug report with status "Confirmed"
and ideally importance set to "High" and milestone set.

> Mark
>

Mark Shuttleworth (sabdfl) wrote :

On 27/01/11 19:30, Florian Boucault wrote:
> At the moment the user drops the application to be installed on the
> launcher, some sort of feedback probably needs to be given to the user
> that the application is going to be installed. Otherwise the user will
> likely be confused.

No, the user will install the app using the Install button. As soon as
we detect a .desktop file, we open the pane at the top (like Chrome /
Firefox when it wants to save a password) with the icon, allowing you to
drag it to the launcher.

> We need an acknowledgement from the development team that recently
> installed applications are going to be displayed in the applications
> place. That should be in form of a bug report with status "Confirmed"
> and ideally importance set to "High" and milestone set.

I filed https://bugs.launchpad.net/unity/+bug/708976 for this issue.

Mark

Florian Boucault (fboucault) wrote :

@Mark

Thanks a lot for opening the bug #708976

As for the installation of applications, you wrote in comment #3:
"dragging .desktop files to launcher for installation is required for natty"

There is a miscommunication here. I understood: starting the *installation* of an application by dropping it on the launcher. But I think you really meant making the *already installed* application a *favorite* (aka. pinning to the launcher). If that is the case, I completely understand your answers now and this discussion is over and this bug report can be closed for good.

ps: favoriting an application by dropping a .desktop file on the launcher is already implemented in Unity 2D

Mark Shuttleworth (sabdfl) wrote :

Thanks Florian, and as always, your work rocks :-). Yes, I was referring
to favouriting the app, not triggering installation which should still
only be done through USC.

Mark

Changed in unity:
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers